* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}


body {
    background: #EEEEEE;
    font-family: "Poppins";
    -webkit-tap-highlight-color: transparent;
}

/* Default: LIGHT MODE */
/*.icon-moon {*/
/*    display: none;*/
/*}*/


/* DARK MODE */
/*body.dark-mode .icon-sun {*/
/*    display: none;*/
/*}*/

body.dark-mode .icon-moon {
    display: flex;
}

body.dark-mode .news-date,
body.dark-mode .news-card-title{
    color: #fff;
}


body.dark-mode .title-link-block a,
body.dark-mode .awards-single-title,
body.dark-mode .cast-item p:first-child,
body.dark-mode .producing-small-title,
body.dark-mode .other-films-title {
    color: #fff;

}

body.dark-mode .title-link-block svg path {
    fill: #fff !important;
    stroke: #fff !important;
}

body.dark-mode .title-link-block a::after {
    background: #fff;
}


    /* Button style */
.theme-toggle button {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
}

.theme-toggle img {
    width: 24px;
    height: 24px;
}

body {
    background-color: #EEEEEE;
    color: #000000;
    transition: background-color 0.3s ease, color 0.3s ease;
}

body.dark-mode {
    background-color: #000000;
    color: #ffffff;
}

/* Editor content */
.editor-content p {
    color: #000;
}

.fs-btn {
    background: #eee;
    cursor: pointer;
    transition: 0.3s;
}

.fs-btn.active {
   border-bottom: 1px solid #000;
}


body.dark-mode .form-item label,
body.dark-mode .editor-content p,
body.dark-mode .section-title{
    color: #fff;
}

body.dark-mode .about-section,
body.dark-mode .filmography-section,
body.dark-mode .media-section{
    background: #1E1E1E;
}

body.dark-mode .breadcrumb-item {
    color: #fff;
}

body.dark-mode .form-item textarea,
body.dark-mode .form-item input {
    border-bottom: 1px solid #fff;
    color: #fff;
}

body.dark-mode .genre-block div,
body.dark-mode .contact-btn button{
    background: #000;
    color: #fff;
    border: 1px solid #fff;
}

body.dark-mode .filmography-page .filmography-section{
    background-color: #000000;
}

.theme-toggle {
    display: flex;
    gap: 4px;
    padding: 7px 14px;
    background: #f1f1f1;
    border-radius: 20px;
    width: fit-content;
}

/* buttons */
.theme-btn {
    border: none;
    background: transparent;
    padding: 6px 8px;
    border-radius: 14px;
    cursor: pointer;
    transition: background 0.25s ease;
}

.theme-btn img {
    width: 18px;
    height: 18px;
}

/* ACTIVE STATE */
.theme-btn.active svg {
    background: #d9d9d9;
}

/* DARK MODE PAGE */
body.dark-mode {
    background-color: #000;
    color: #fff;
}

/* editor content */
.editor-content p {
    color: #000;
}

body.dark-mode .editor-content p {
    color: #fff;
}

.icon-sun{
    margin-right: 6px;
}


#themeToggle .active {
    background: #ffffff;
}

/* Button */
#themeToggle {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 6px 10px;
    border-radius: 20px;
    background: #E5E7EB;
    border: none;
    cursor: pointer;
    transition: background 0.25s ease;
    box-shadow: 0px 4px 4px 0px #00000040 inset;

}

/* ACTIVE background */
#themeToggle svg.active  {
    background: #ffffff;
}

/* SVG sizing */
#themeToggle svg {
    width: 16px;
    height: 16px;
}

/* Optional: SVG color control */
#themeToggle svg path {
    transition: stroke 0.25s ease, fill 0.25s ease;
}

/* Dark mode SVG contrast */
body.dark-mode #themeToggle.active svg path {
    stroke: #000;
    fill: #000;
}

.theme-toggle {
    display: flex;
    gap: 6px;
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
}

/* wrapper around svg */
.icon-wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 28px;
    height: 28px;
    border-radius: 50%;
    background: transparent;
    transition: background 0.25s ease;
}

.icon-wrap svg {
    width: 16px;
    height: 16px;
}

/* ACTIVE SVG BACKGROUND */
.icon-wrap.active {
    background: #ffffff;
}



a {
    text-decoration: none;
    color: #000;
}

ul li {
    list-style: none;
}


header {
    padding: 37px 0;
    background: linear-gradient(180deg, rgb(0 0 0) 10.83%, #00000000 100%);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 5;
}

.black-header {
    background: #1E1E1E;
}

.container {
    max-width: 1440px;
    width: 100%;
    margin: 0 auto;
    padding: 0;
}

.img {
    width: 100%;
}

.toggle-menu {
    width: 50px;
    height: 50px;
    display: inline-block;
    position: relative;
    top: 10px;
    float: right;
    z-index: 1000;
}

.toggle-menu i {
    position: absolute;
    display: block;
    height: 2px;
    background: #0094FC;
    width: 30px;
    left: 0px;
    -webkit-transition: all .3s;
    transition: all .3s;
}

.container {
    position: relative;
    overflow: hidden;
}

.menu-drawer {
    width: 400px;
    background-color: #ccc;
    height: 900px;
    position: absolute;
    right: -550px;
    top: 0;
    transition: right linear .2s;
    padding: 50px;
}

.open {
    right: 0px;
    transition: right linear .2s;
}

.menu .menu-item a {
    position: relative;
    display: inline-block !important; /* 👈 important */
    text-decoration: none;
    color: #000;
}

.menu-item a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 100%; /* now equals text width */
    height: 1px;
    background: #000;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.3s ease;
}

.menu-item a:hover::after {
    transform: scaleX(1);
}


.menu-item a.active::after {
    transform: scaleX(1);
}


.menu-drawer li {
    font-weight: bold;
    margin-bottom: 30px;
    font-size: 50px;
    text-align: center;
}

.menu-drawer a {
    text-decoration: none;
    color: #555;
}

.menu-drawer a:hover {
    color: #0094FC;
}

/*.logo-item {*/
/*    width: 226px;*/
/*}*/

.logo-item svg{
    max-width: 340px;
}

.editor {
    line-height: 1.5;
}

.editor ul, .editor ol {
    padding-left: revert;
}

.editor li {
    list-style-type: unset;
}

/* language */
.dropbtn {

    background-color: #fff;
    color: #000;
    padding: 16px;
    font-size: 16px;
    border: none;
    cursor: pointer;
    border: 1px solid #000;
    border-radius: 3px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
}

.language-text .dropbtn {
    padding: 8px 20px 8px 10px;
    margin-right: 20px;
    width: 120px;
}

.footer-lang .dropbtn {
    background-color: #1E1E1E;
    color: #fff;
    border: 1px solid #fff;
}

.footer-lang .language-text:hover .dropbtn {
    background: #000;
}

.footer-lang .dropdown a {
    color: #000;
    text-align: left;
}

.footer-lang .dropbtn::after {
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #fff;
    margin-left: 4px;
}

.footer-link {
    border: 1px solid #fff;
    border-radius: 3px;
    padding: 0px 15px;
    font-weight: 400;
    font-size: 16px;
    text-align: center;
    background: #424242;


}

.footer-lang {
    display: flex;
    margin-bottom: 41px;
}

.dropbtn::after {
    content: "";
    width: 0;
    height: 0;
    position: relative;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #000;
    top: 15px;
    left: 10px;
}

.dropdown {
    position: relative;
    display: flex;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 120px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 5px;
    text-decoration: none;
    display: block;
}

.dropdown-content a img {
    height: 10px;
    width: 10px;
}

.dropdown-content a:hover {
    background-color: #f1f1f1;
}


.dropdown:hover .dropbtn {
    background-color: #fff;
}

/* menu */

.header-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.soc-lang-item {
    display: flex;
    align-items: center;
}

.header-soc-section {
    display: flex;
}

.menu-catrgory,
.menu-sub-category {
    margin-top: 200px;
}

#home-menu {
    margin-left: 25px;
}

#home-menu span {
    width: 35px;
    height: 5px;
    background-color: black;
    margin: 6px 0;
    display: block;
}

nav {
    position: fixed;
    top: 0;
    right: -100%;
    background-color: #fff;
    height: 100%;
    width: 530px;
    z-index: 9999;
    padding: 25px 32px;
}

nav li {
    list-style-type: none;
}

nav .menu a {
    font-weight: 400;
    font-size: 36px;
    display: flex;
    margin: 10px 0;
    text-align: left;
    color: #000;
    justify-content: flex-start;
    align-items: center;
}

#home-menu svg {
    cursor: pointer;
    padding-right: 5px;
}


.font-size-buttons button {
    padding: 5px;
    margin-right: 10px;
    cursor: pointer;
    background: transparent;
    border: none;
}

.menu-header-block {
    display: flex;
    justify-content: space-between;
    margin-bottom: 64px;
    align-items: center;
}


.home-menu {
    margin-left: 25px;
}

.close-icon {
    /* position: absolute;
    right: 90px;
    top: 60px; */
    cursor: pointer;
}


.search-input {
    border-radius: 25.5px;
    background: #fff;
    box-shadow: 0px 5px 7px rgba(0, 0, 0, 0.16);
    position: absolute;
    top: 110px;
    padding: 13px 21px 13px 23px;
    display: flex;
    align-items: center;
    display: none;
    z-index: 2;
}

.search-input input {
    border: none;
    background: transparent;
    outline: none;
}

.search-icon {
    cursor: pointer;
}

.show {
    display: flex;
}

.search-btn {
    border: none;
    background: transparent;
    cursor: pointer;
}

.language-icon {
    display: none;
}

.mail-tel {
    display: flex;
    flex-direction: column;
    margin-top: 58px;
}

.mail-tel a {
    font-weight: 400;
    font-size: 20px;
    margin-bottom: 2px;
}


footer {
    background: #1E1E1E;
    clear: both;
}

.footer-menu {
    column-count: 2;
    text-align: end;
}

.footer-menu-section {
    width: 40%;
}

.footer-menu-section div {
    width: 100%;
}

.footer-menu li a {
    font-weight: 300;
    font-size: 20px;
    padding: 0 10px 0 0;
    text-align: left;
    color: #fff;
}


.footer-menu li a:hover{
    text-decoration: underline solid 1px;
    text-underline-offset: 10px;
}

.footer-section {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: flex-start;
    margin-bottom: 68px;

}

.footer-logo {
    width: 435px;
    padding: 96px 0 85px;
}

.footer-section a,
.footer-section p {
    font-size: 20px;
    line-height: 35px;
    text-align: right;
    color: #fff;
}

.footer-contact {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    text-align: end;
    font-weight: 400;
    font-size: 20px;

}

.footer-item p {
    color: #fff;
}

.footer-item {
    display: flex;
    justify-content: space-between;

}

.footer-item a {
    color: #fff;
    cursor: pointer;
}

.footer-item p {
    font-size: 16px;
    padding: 0 0 26px;
}

.footer-item a:hover {
    text-decoration: underline;
}

.footer-contact p {
    text-align: right;
}

.contact-tel p {
    line-height: unset;
}

.footer-soc {
    display: flex;
    align-items: center;
}

.footer-soc div {
    margin-right: 3px;
}

.footer-menu-section {
    display: flex;
    justify-content: space-between;
}

.footer-soc img {
    /* width: 38px;
    height: 38px; */
    padding: 0 10px 0 0;
}

main {
    width: 100%;
    min-height: 500px;
}


/* responsive */
@media all and (max-width: 1500px) {
    .container {
        max-width: 100%;
        padding: 0 30px;
    }
}


@media all and (max-width: 1200px) {
    .section-title {
        font-size: 45px;
        line-height: 100%;
    }

    .footer-logo svg {
        max-width: 325px;
    }

    .footer-logo {
        padding: 40px 0;
    }



}


@media all and (max-width: 1024px) {
    .banner-text {
        font-size: 18px;
        line-height: 24px;

    }

    .logo-item svg {
        max-width: 270px;
    }

    header {
        padding: 31px 0;
    }

    .footer-menu {
        column-count: 1;
        text-align: left;
    }

    .footer-section a, .footer-section p {
        text-align: left;
    }
}


@media all and (max-width: 768px) {
    .banner-section .container {
        flex-direction: column;
        bottom: 170px;
        justify-content: flex-start;
        align-items: flex-start;
    }

    .banner-btn {
        margin-top: 15px;
    }

    .banner-btn a {
        padding: 10px 39px;
        font-size: 16px;
    }

    .banner-btn {
        margin: 15px auto 0;
    }

    .footer-contact {
        margin-top: 20px;
    }

    .footer-menu-section {
        width: 100%;
        margin: 45px 0 5px;
    }

    .footer-item {
        flex-direction: column;
    }

    .footer-item p {
        padding: 0 0 8px;
    }

}


@media all and (max-width: 575px) {
    .container {
        max-width: 100%;
        padding: 0 15px;
    }

    nav {
        width: 100%;
    }

    .sub-nav {
        width: 100%;
    }

    .dropdown-content a{
        font-size: 16px;
    }

    nav a {
        font-weight: 400;
        font-size: 25px;

    }

    nav .menu a {
        font-size: 25px;
    }

    .menu-header-block .dropbtn::after{
        border-top: 5px solid #000 !important;
    }

    .language-text .dropbtn {
        margin-right: 5px;
    }
    .font-size-buttons button {
        margin-right: 5px;
    }

    .close-icon svg{
        width: 20px;
        height: 20px;
    }

        .close-icon {
        right: 24px;
        top: 18px;
    }

    .logo-item svg {
        max-width: 180px;
    }

    .soc-item .search-btn img {
        width: 18px;
        height: 18px;
    }

    .search-input {
        top: 60px;
        right: 0;
    }

    .soc-item img {
        width: 27px;
        height: 27px;
    }

    .mail-tel {
        margin-top: 24px;
    }

    .banner-text {
        margin-right: 0;
    }


    .dropbtn::after {
        border-top: #1d134f;
    }

    .dropbtn {
        padding: 0;
    }

    .soc-item {
        margin: 0 3px;
    }



    .footer-section {
        flex-direction: column;
        margin-top: 40px;
    }

    .footer-contact p {
        text-align: left;
    }

    .footer-logo {
        padding: 37px 0 0 0;
    }

    .footer-contact {
        padding: 14px 0;
    }

    .footer-menu-section {
        flex-direction: column;
    }

    .footer-menu {
        padding: 0 0 8px 0;
    }

    .footer-soc {
        margin-bottom: 18px;
    }

    .footer-item {
        flex-direction: column;
        margin-bottom: 13px;
    }

    .footer-item p {
        padding: 3px 0;
    }

    .footer-item-div {
        margin-top: 13px;
    }
    .footer-section {
        margin-bottom: 41px;
    }
    .footer-menu-section {
        margin: 42px 0 5px;
    }
    .theme-toggle{
        position: absolute;
        top: 45px;
    }
    .footer-soc img {
        padding: 0 10px 0 0;
    }

    }



